NAK: [JAMMY][linux-meta/lowlatency][PATCH] UBUNTU: [Packaging] Declare lowlatency transitionals for hwe-22.04

Dimitri John Ledkov dimitri.ledkov at canonical.com
Thu Mar 17 11:23:02 UTC 2022


This linux-meta patch doesn't take into account arm64 architecture
which doesn't yet have hwe-20.04 in focal, but it will once
lowlatency-hwe-5.15 rolls.

Let me redo that.

-- 
Regards,

Dimitri.

On Thu, 17 Mar 2022 at 11:05, Dimitri John Ledkov
<dimitri.ledkov at canonical.com> wrote:
>
> Declare transitionals from hwe-20.04[-edge] to hwe-22.04[-edge] for
> lowlatency flavour.
>
> Signed-off-by: Dimitri John Ledkov <dimitri.ledkov at canonical.com>
> ---
>  debian/control.d/transitionals-hwe-20.04 | 74 ++++++++++++++++++++++++
>  1 file changed, 74 insertions(+)
>  create mode 100644 debian/control.d/transitionals-hwe-20.04
>
> diff --git a/debian/control.d/transitionals-hwe-20.04 b/debian/control.d/transitionals-hwe-20.04
> new file mode 100644
> index 0000000000..13bdcc3e45
> --- /dev/null
> +++ b/debian/control.d/transitionals-hwe-20.04
> @@ -0,0 +1,74 @@
> +#
> +# Generated using kteam-tools script:
> +# generate-transitions --output debian/control.d/transitionals-hwe-20.04 hwe-20.04 hwe-22.04
> +#
> +Package: linux-headers-lowlatency-hwe-20.04
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-headers-lowlatency-hwe-22.04
> +Description: lowlatency Linux kernel headers (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-image-lowlatency-hwe-20.04
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-image-lowlatency-hwe-22.04
> +Description: lowlatency Linux kernel image (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-tools-lowlatency-hwe-20.04
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-tools-lowlatency-hwe-22.04
> +Description: lowlatency Linux kernel tools (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-cloud-tools-lowlatency-hwe-20.04
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-cloud-tools-lowlatency-hwe-22.04
> +Description: lowlatency Linux kernel cloud tools (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-lowlatency-hwe-20.04
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-lowlatency-hwe-22.04
> +Description: Complete lowlatency Linux kernel (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-headers-lowlatency-hwe-20.04-edge
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-headers-lowlatency-hwe-22.04-edge
> +Description: lowlatency Linux kernel headers (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-image-lowlatency-hwe-20.04-edge
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-image-lowlatency-hwe-22.04-edge
> +Description: lowlatency Linux kernel image (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-tools-lowlatency-hwe-20.04-edge
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-tools-lowlatency-hwe-22.04-edge
> +Description: lowlatency Linux kernel tools (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-cloud-tools-lowlatency-hwe-20.04-edge
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-cloud-tools-lowlatency-hwe-22.04-edge
> +Description: lowlatency Linux kernel cloud tools (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> +Package: linux-lowlatency-hwe-20.04-edge
> +Architecture: amd64
> +Section: oldlibs
> +Depends: linux-lowlatency-hwe-22.04-edge
> +Description: Complete lowlatency Linux kernel (dummy transitional package)
> + Transitional package for upgrades. This package can be safely removed.
> +
> --
> 2.32.0
>



More information about the kernel-team mailing list